package cn.stylefeng.workflow.design.api;

import cn.stylefeng.workflow.api.entity.design.Model;

import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface ModelApi {

    Long getModelLatestDefinitionId(Long modelId);

    Map<Long, Long> batchGetDefinitionId(List<Long> modelIdList);

    Model getModelInfo(Long modelId);

    String getModelName(Long modelId);

    List<Model> getModelList(Collection<Long> modelIdList);

    List<Model> getCategoryModelList(Long categoryId);

}
